## cutesdr 1.0.5

=== CMakeLists.txt ===
project(cutesdr)
cmake_minimum_required(VERSION 2.8.0)

set(CMAKE_VERBOSE_MAKEFILE OFF)

# Versions
set(cutesdr_VERSION_MAJOR 1)
set(cutesdr_VERSION_MINOR 0)
set(cutesdr_VERSION_PATCH 4)
set(cutesdr_VERSION ${cutesdr_VERSION_MAJOR}.${cutesdr_VERSION_MINOR}.${cutesdr_VERSION_PATCH})



# Source
add_subdirectory(siqs)

# Dependencies
find_package(PkgConfig REQUIRED)
find_package(Qt4 REQUIRED)

ADD_DEFINITIONS ( -D_REENTRANT -D_TTY_POSIX_ -D_TTY_LINUX_ -DQT_NO_DEBUG -DQT_MULTIMEDIA_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB )

set(CuteSDR_SRCS
    gui/main.cpp 
    gui/sounddlg.cpp 
    gui/sdrsetupdlg.cpp 
    gui/sdrdiscoverdlg.cpp 
    gui/plotter.cpp 
    gui/mainwindow.cpp 
    gui/ipeditwidget.cpp 
    gui/freqctrl.cpp 
    gui/displaydlg.cpp 
    gui/demodsetupdlg.cpp 
	gui/editnetdlg.cpp 
	gui/testbench.cpp 
	gui/meter.cpp 
	gui/sliderctrl.cpp 
	gui/noiseprocdlg.cpp 
	gui/aboutdlg.cpp 
    gui/rdsdecode.cpp
	interface/soundout.cpp 
    interface/sdrinterface.cpp 
    interface/netiobase.cpp 
    interface/ad6620.cpp 
	interface/perform.cpp 
	dsp/fractresampler.cpp 
    dsp/fastfir.cpp 
    dsp/downconvert.cpp 
    dsp/demodulator.cpp 
    dsp/fft.cpp 
	dsp/agc.cpp 
	dsp/amdemod.cpp 
	dsp/samdemod.cpp 
	dsp/ssbdemod.cpp 
	dsp/smeter.cpp 
    dsp/fmdemod.cpp 
	dsp/fir.cpp 
    dsp/iir.cpp 
	dsp/noiseproc.cpp
    dsp/wfmdemod.cpp
    dsp/wfmmod.cpp
)

set(CuteSDR_INC
    gui/mainwindow.h 
	gui/sounddlg.h 
    gui/sdrsetupdlg.h 
    gui/sdrdiscoverdlg.h 
    gui/plotter.h 
	gui/ipeditwidget.h 
    gui/freqctrl.h 
	gui/sliderctrl.h 
	gui/editnetdlg.h 
    gui/displaydlg.h 
    gui/demodsetupdlg.h 
	gui/testbench.h 
	gui/meter.h 
	gui/noiseprocdlg.h 
	gui/aboutdlg.h 
    gui/rdsdecode.h
	interface/soundout.h 
    interface/sdrinterface.h 
    interface/protocoldefs.h 
    interface/netiobase.h 
    interface/ad6620.h 
	interface/ascpmsg.h 
	interface/perform.h 
	dsp/fractresampler.h 
    dsp/fastfir.h 
	dsp/filtercoef.h 
	dsp/downconvert.h 
    dsp/demodulator.h 
    dsp/datatypes.h 
    dsp/fft.h 
	dsp/agc.h 
	dsp/amdemod.h 
	dsp/samdemod.h 
	dsp/ssbdemod.h 
	dsp/smeter.h 
    dsp/fmdemod.h 
	dsp/fir.h 
    dsp/iir.h 
	dsp/noiseproc.h
    dsp/wfmdemod.h 
    dsp/wfmmod.h
    dsp/rbdsconstants.h
)

set (CuteSDR_UIS
    gui/mainwindow.ui 
	gui/sdrdiscoverdlg.ui 
    gui/sounddlg.ui 
    gui/sdrsetupdlg.ui 
	gui/ipeditframe.ui 
    gui/editnetdlg.ui 
    gui/displaydlg.ui 
    gui/demodsetupdlg.ui 
    gui/testbench.ui 
    gui/sliderctrl.ui 
    gui/aboutdlg.ui 
    gui/noiseprocdlg.ui
)


#--------------------------------------------------------------
#
# Check for Ubuntu non standard installation
#
message ("qmake: ${QT_QMAKE_EXECUTABLE}")  

# get the path of the Qt header 
#
execute_process(
    COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_INSTALL_HEADERS
    OUTPUT_VARIABLE QT_INSTALL_HEADERS
    RESULT_VARIABLE rm_retval
)

# trim the last directory in path
string(REGEX REPLACE "(.*/)[^/]+$" "\\1" QT_INSTALL_HEADERS_UP ${QT_INSTALL_HEADERS})

# trim the end of line character
string (REGEX REPLACE "\n" ""  QT_INSTALL_HEADERS ${QT_INSTALL_HEADERS})

message("DIR INCLUDE: ${QT_INSTALL_HEADERS}")
message("DIR INSTALL HEADERS UP: ${QT_INSTALL_HEADERS_UP}")

# get the path of the Qt librarires 
#
execute_process(
    COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_INSTALL_LIBS
    OUTPUT_VARIABLE QT_INSTALL_LIBS
    RESULT_VARIABLE rm_retval
)
# trim the end of line character
string (REGEX REPLACE "\n" ""  QT_INSTALL_LIBS ${QT_INSTALL_LIBS})



# default for standard QtSDK and binary packages before U11.04
#
set (QT_ADDITIONAL_INCLUDE_PATH "")
set (QT_ADDITIONAL_INCLUDE_PATH2 "")
set (QT_ADDITIONAL_LDFLAG "QtMultimedia" )


# if there is a suspicious QtMultimediaKit (sibling of the standard Qt include path)
# we have hit an Ubuntu binary package (11.04)
#
if ( EXISTS ${QT_INSTALL_HEADERS_UP}QtMultimediaKit/QAudio )

    set (QT_ADDITIONAL_INCLUDE_PATH ${QT_INSTALL_HEADERS_UP}/QtMultimediaKit/ )
    set (QT_ADDITIONAL_LDFLAG QtMultimediaKit)
    set (QT_ADDITIONAL_INCLUDE_PATH2 ${QT_INSTALL_HEADERS_UP}/QtMobility/ )

else ( EXISTS ${QT_INSTALL_HEADERS_UP}QtMultimediaKit/QAudio )

    #set (QT_ADDITIONAL_INCLUDE_PATH ${QT_INSTALL_HEADERS} )
    set (QT_ADDITIONAL_INCLUDE_PATH ${QT_INSTALL_HEADERS}/QtMultimedia/ )
    set (QT_ADDITIONAL_LINK_DIR ${QT_INSTALL_LIBS})

endif ( EXISTS ${QT_INSTALL_HEADERS_UP}QtMultimediaKit/QAudio )


message("QT_ADDITIONAL_INCLUDE_PATH:  ${QT_ADDITIONAL_INCLUDE_PATH}")
message("QT_ADDITIONAL_INCLUDE_PATH2: ${QT_ADDITIONAL_INCLUDE_PATH2}")
message("QT_ADDITIONAL_LDFLAG: ${QT_ADDITIONAL_LDFLAG}")

#--------------------------------------------------------------

#
# Build
#
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}

    ${CMAKE_CURRENT_SOURCE_DIR}/dsp
    ${CMAKE_CURRENT_SOURCE_DIR}/gui
    ${CMAKE_CURRENT_SOURCE_DIR}/interface

    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_MULTIMEDIA_INCLUDE_DIR}
    ${QT_QTNETWORK_INCLUDE_DIR}

    #
    # non standard include path in order to workaround 
    # Ubuntu binary packages strangeness 
    #
    ${QT_ADDITIONAL_INCLUDE_PATH}
    ${QT_ADDITIONAL_INCLUDE_PATH2}
)

link_directories(
    #
    # non standard library path in order to workaround 
    # Ubuntu binary packages strangeness 
    #
    ${QT_ADDITIONAL_LINK_DIR}
)

QT4_WRAP_UI( CuteSDR_UI_HDRS ${CuteSDR_UIS} )


qt4_wrap_cpp (CuteSDR_MOCS ${CuteSDR_INC} )

add_executable(CuteSDR ${CuteSDR_SRCS} ${CuteSDR_UI_HDRS} ${CuteSDR_MOCS} )


target_link_libraries ( CuteSDR
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    ${QT_QTOPENGL_LIBRARY}
    ${QT_MULTIMEDIA_LIBRARY}

    #
    # additional library in order to workaround 
    # Ubuntu binary packages strangeness 
    #
    ${QT_ADDITIONAL_LDFLAG}
)



INSTALL_TARGETS(/bin CuteSDR)

#
# uninstall target
# workaround as found in http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
#
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== debian/changelog ===
cutesdr (1.0.5-3) unstable; urgency=low

  * Use compiler flags to determine asm use.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 01 May 2012 00:20:41 -0400

cutesdr (1.0.5-2) unstable; urgency=low

  * Acknowledge NMU
  * define USE_PERFORMANCE only for amd64

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 23 Apr 2012 22:22:39 -0400

cutesdr (1.0.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch gcc-4.7.patch (missing include).
    Closes: #667146

 -- gregor herrmann <gregoa@debian.org>  Mon, 23 Apr 2012 15:44:03 +0200

cutesdr (1.0.5-1) unstable; urgency=low

  * New upstream version
  * Desktop integration

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 20 Feb 2012 12:47:55 -0500

cutesdr (1.0.4-1) experimental; urgency=low

  * Package from upstream svn (Closes: #658671)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat,  4 Feb 2012 11:12:07 -0500

=== debian/control ===
Source: cutesdr
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.4+dfsg.1-3), qt4-qmake,
 libqt4-dev, pkg-config, libusb-1.0-0-dev, libftdi-dev, qtmobility-dev, icoutils
Standards-Version: 3.9.3
Homepage: http://www.rfspace.com/RFSPACE/CuteSDR.html
Vcs-Browser: http://cutesdr.svn.sourceforge.net/viewvc/cutesdr/

Package: cutesdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple demodulation and spectrum display program
 The CuteSDR application's primary purpose is for spawning custom
 applications or for educational use. It is NOT a full featured
 program as it is purposely kept simple in order for developers to
 more easily spin off their own applications. A further goal was to
 use only the stock functionality of Qt ie no libraries or special
 drivers. This limits CuteSDR to using only a network connection.
 The main gui and framework is written by Moe Wheatly, AE4JY.
 .
 CuteSDR itself has only a network interface and will directly support
 the RFSPACE NetSDR and SDR-IP radios. This package also supports
 SDR-IQ/14 using an included network protocol server application (siqs_ftdi)
 by Andrea Montefusco, IW0HDV with support from Ken Hopper, N9VV.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --builddirectory=build

override_dh_auto_configure:
ifeq ($(DEB_BUILD_ARCH_OS),amd64)
	dh_auto_configure -- -DUSE_PERFORMANCE=1
else
	dh_auto_configure
endif

override_dh_auto_install:
	dh_auto_install
	cp debian/cutesdr.desktop debian/cutesdr/usr/share/applications/
	cd debian && icotool -x ../cutesdr1.ico
	mv debian/cutesdr1_1_256x256x32.png debian/cutesdr/usr/share/icons/hicolor/256x256/apps/cutesdr.png
	mv debian/cutesdr1_2_128x128x32.png debian/cutesdr/usr/share/icons/hicolor/128x128/apps/cutesdr.png
	mv debian/cutesdr1_3_64x64x32.png debian/cutesdr/usr/share/icons/hicolor/64x64/apps/cutesdr.png
	mv debian/cutesdr1_4_48x48x32.png debian/cutesdr/usr/share/icons/hicolor/48x48/apps/cutesdr.png
	mv debian/cutesdr1_5_32x32x32.png debian/cutesdr/usr/share/icons/hicolor/32x32/apps/cutesdr.png
	mv debian/cutesdr1_6_24x24x32.png debian/cutesdr/usr/share/icons/hicolor/24x24/apps/cutesdr.png
	mv debian/cutesdr1_7_16x16x32.png debian/cutesdr/usr/share/icons/hicolor/16x16/apps/cutesdr.png

## cutesdr 1.13.42

=== debian/changelog ===
cutesdr (1.13.42-2) unstable; urgency=low

  * back to define USE_PERFORMANCE and asm only for amd64

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 06 Oct 2014 20:09:34 -0400

cutesdr (1.13.42-1) unstable; urgency=low

  * Package svn commit 42
  * update URL (Closes: #745747)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 02 May 2014 21:49:51 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: hamradio
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.4+dfsg.1-3), qt4-qmake,
- libqt4-dev, pkg-config, libusb-1.0-0-dev, libftdi-dev, qtmobility-dev, icoutils
-Standards-Version: 3.9.3
-Homepage: http://www.rfspace.com/RFSPACE/CuteSDR.html
+Build-Depends: debhelper (>= 9), qt5-default, qt5-qmake, qtbase5-dev,
+ libusb-1.0-0-dev, libftdi-dev, qtmultimedia5-dev,  pkg-config, icoutils
+Standards-Version: 3.9.5
+Homepage: http://www.rfspace.com/RFSPACE/OtherApps.html
 Vcs-Browser: http://cutesdr.svn.sourceforge.net/viewvc/cutesdr/
 
 Package: cutesdr
@@ -21,6 +21,6 @@
  The main gui and framework is written by Moe Wheatly, AE4JY.
  .
  CuteSDR itself has only a network interface and will directly support
- the RFSPACE NetSDR and SDR-IP radios. This package also supports
- SDR-IQ/14 using an included network protocol server application (siqs_ftdi)
- by Andrea Montefusco, IW0HDV with support from Ken Hopper, N9VV.
+ the RFSPACE NetSDR and SDR-IP radios. The siqs_ftdi and SDRxxServer
+ applications (packaged separately) provide network interfaces to
+ RFSPACE USB devices.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,10 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --parallel --builddirectory=build
-
-override_dh_auto_configure:
-ifeq ($(DEB_BUILD_ARCH_OS),amd64)
-	dh_auto_configure -- -DUSE_PERFORMANCE=1
-else
-	dh_auto_configure
-endif
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install
+	cp CuteSdr debian/cutesdr/usr/bin/CuteSdr
 	cp debian/cutesdr.desktop debian/cutesdr/usr/share/applications/
 	cd debian && icotool -x ../cutesdr1.ico
 	mv debian/cutesdr1_1_256x256x32.png debian/cutesdr/usr/share/icons/hicolor/256x256/apps/cutesdr.png

## cutesdr 1.20

=== CMakeLists.txt ===
project(siqs)

set(CMAKE_VERBOSE_MAKEFILE OFF)

set (siqs_ftdi_SRCS
     siqs_ftdi.cpp
     discover.cpp
     logger.cpp
)

set (siqs_ftdi_INC
     netsupport.h
     minithread.h
     discover.h
     logger.h
)


find_library (rt_LIB           rt)
find_library (pthread_LIB      pthread)
find_library (usb-1.0_LIB      usb-1.0)
find_library (ftdi_LIB         ftdi)


ADD_DEFINITIONS ( -g -Wall -O3 -Wno-unused-function )

add_executable(siqs_ftdi ${siqs_ftdi_SRCS} ${siqs_ftdi_INC})

target_link_libraries(siqs_ftdi
                      ${rt_LIB}
                      ${pthread_LIB}
                      ${usb-1.0_LIB}
                      ${ftdi_LIB}
)

INSTALL_TARGETS(/bin siqs_ftdi)

=== debian/changelog ===
cutesdr (1.20-4) unstable; urgency=medium

  * Do not use obsolete and never-implemented XSI STREAMS header files
    - stropts.h (Closes: #954527)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Mar 2020 22:57:07 -0400

cutesdr (1.20-3) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake.
  (Closes: #918083)
  * Propagate errors from cmake (policy 4.6).
    Thanks Helmut!
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 05 Jan 2019 14:35:40 -0500

cutesdr (1.20-2) unstable; urgency=medium

  * update to svn r75, builds with qt5.11. (Closes:#907226)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 29 Aug 2018 00:18:15 -0400

cutesdr (1.20-1) unstable; urgency=medium

  * New upstream release - svn commit r68 (Closes: #896445)
  * update to svn r72 - V1.21b0
  * build with libftdi1 (Closes: #810385)
  * bring back siqs_ftdi from cutesdr 1.0.5

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 21 May 2018 00:26:20 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: hamradio
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9), qt5-default, qt5-qmake, qtbase5-dev,
- libusb-1.0-0-dev, libftdi-dev, qtmultimedia5-dev,  pkg-config, icoutils
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 12), cmake, qt5-qmake, qtbase5-dev,
+ qtbase5-dev-tools, libusb-1.0-0-dev, libftdi1-dev, qtmultimedia5-dev,
+ pkg-config, icoutils
+Standards-Version: 4.5.0
 Homepage: http://www.rfspace.com/RFSPACE/OtherApps.html
-Vcs-Browser: http://cutesdr.svn.sourceforge.net/viewvc/cutesdr/
+Vcs-Browser: https://sourceforge.net/projects/cutesdr/
 
 Package: cutesdr
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,17 @@
 #!/usr/bin/make -f
+QT_SELECT:=qt5
+export QT_SELECT
+
 %:
 	dh $@
 
 override_dh_auto_install:
 	dh_auto_install
+	mkdir siqsbuild
+	dh_auto_configure --builddirectory=siqsbuild --sourcedirectory=siqs
+	dh_auto_build --builddirectory=siqsbuild
+	cp siqsbuild/siqs_ftdi debian/cutesdr/usr/bin/siqs_ftdi
+	rm -rf siqsbuild
 	cp CuteSdr debian/cutesdr/usr/bin/CuteSdr
 	cp debian/cutesdr.desktop debian/cutesdr/usr/share/applications/
 	cd debian && icotool -x ../cutesdr1.ico
